%define  lib_name_orig libalsa
%define  major 0
%define  lib_name %mklibname exttextcat %major

Name:    libexttextcat
Version: 3.2.0
Release: %mkrel 2
Summary: Text categorization library

Group:   Publishing
License: BSD
URL:     http://www.freedesktop.org/wiki/Software/libexttextcat
Source:  http://dev-www.libreoffice.org/src/libexttextcat/%{name}-%{version}.tar.xz

Obsoletes: libtextcat < 3.2.0
Provides: libtextcat = %{version}

%description
%{name} is an N-Gram-Based Text Categorization library primarily
intended for language guessing.

%files
%doc LICENSE README*
%{_datadir}/%{name}

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Text categorization library
Group:   System/Libraries

%description -n %lib_name
%{name} is an N-Gram-Based Text Categorization library primarily
intended for language guessing.

%files -n %lib_name
%{_libdir}/%{name}.so.%{major}*

#--------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/Other
Obsoletes: libtextcat-devel < 3.2.0
Provides: libtextcat-devel = %{version}
Requires: %lib_name = %version-%release

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%package tools
Summary: Tool for creating custom document fingerprints
Group:   Publishing

%description tools
The %{name}-tools package contains the createfp program that allows
you to easily create your own document fingerprints.

%files tools
%{_bindir}/createfp

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure --disable-static --disable-werror
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la


%check
make check



%changelog

* Sat Feb 04 2012 dmorgan <dmorgan> 3.2.0-2.mga2
+ Revision: 204346
- Requires libs on devel package
- imported package libexttextcat


* Tue Jan 24 2012 David Tardon <dtardon@redhat.com> 3.2.0-1
- initial import
